Aggregate run metrics scoped to a binding
Authorization
Bearer AuthorizationBearer <token>
API key (rlay_live_* or rlay_test_*)
In: header
Path Parameters
id*string
Query Parameters
period?string
Default
"7d"Value in
- "24h"
- "7d"
- "30d"
- "90d"
- "custom"
from?string
Required when period=custom; ISO 8601
Format
date-timeto?string
Required when period=custom; ISO 8601
Format
date-timeResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/automation-bindings/string/insights"{ "period": { "from": "string", "to": "string" }, "totals": { "enrolled": 0, "completed": 0, "exited": 0, "failed": 0, "active": 0, "waiting": 0, "avg_duration_ms": 0 }, "exit_reasons": [ { "reason": "string", "count": 0 } ], "by_entrypoint": [ { "entrypoint_id": "string", "kind": "string", "runs": 0, "completion_rate": 0 } ], "per_node": [ { "node_key": "string", "kind": "string", "executions": 0, "success_rate": 0, "per_port": { "property1": 0, "property2": 0 } } ]}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}Found something wrong? Help us improve this page.